Bug 111684 - amdgpu-dkms 19.30-855429 fails to compiler on kernel 5.2
Summary: amdgpu-dkms 19.30-855429 fails to compiler on kernel 5.2
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu-pro (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: not set normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-14 08:35 UTC by Witold Baryluk
Modified: 2019-09-14 08:35 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
make.log from attempted dkms build of amdgpu (14.62 KB, text/x-log)
2019-09-14 08:35 UTC, Witold Baryluk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Witold Baryluk 2019-09-14 08:35:13 UTC
Created attachment 145358 [details]
make.log from attempted dkms build of amdgpu

I know it is somehow expected due to very new kernel, but reporting anyway, as maybe it is related to something else than new kernel.

root@debian:/var/lib/dkms/amdgpu/19.30-855429/build# grep error make.log
/var/lib/dkms/amdgpu/19.30-855429/build/amd/amdgpu/amdgpu_drv.c:1238:2: error: implicit declaration of function ‘drm_kms_helper_poll_disable’; did you mean ‘drm_fb_helper_pan_display’? [-Werror=implicit-function-declaration]
/var/lib/dkms/amdgpu/19.30-855429/build/amd/amdgpu/amdgpu_connectors.c:735:7: error: implicit declaration of function ‘drm_kms_helper_is_poll_worker’; did you mean ‘drm_fb_helper_initial_config’? [-Werror=implicit-function-declaration]
/var/lib/dkms/amdgpu/19.30-855429/build/amd/amdgpu/amdgpu_device.c:1021:3: error: implicit declaration of function ‘drm_kms_helper_poll_enable’; did you mean ‘drm_fb_helper_fill_info’? [-Werror=implicit-function-declaration]
/var/lib/dkms/amdgpu/19.30-855429/build/amd/amdgpu/amdgpu_drv.c:1277:2: error: implicit declaration of function ‘drm_kms_helper_poll_enable’; did you mean ‘drm_fb_helper_fill_info’? [-Werror=implicit-function-declaration]
/var/lib/dkms/amdgpu/19.30-855429/build/amd/amdgpu/amdgpu_connectors.c:835:16: error: ‘drm_helper_probe_single_connector_modes’ undeclared here (not in a function); did you mean ‘drm_helper_move_panel_connectors_to_head’?
/var/lib/dkms/amdgpu/19.30-855429/build/amd/amdgpu/amdgpu_drv.c:1453:21: error: ‘DRIVER_IRQ_SHARED’ undeclared here (not in a function); did you mean ‘TIMER_IRQSAFE’?
cc1: some warnings being treated as errors
cc1: some warnings being treated as errors
/var/lib/dkms/amdgpu/19.30-855429/build/amd/amdgpu/amdgpu_device.c:1024:3: error: implicit declaration of function ‘drm_kms_helper_poll_disable’; did you mean ‘drm_fb_helper_pan_display’? [-Werror=implicit-function-declaration]
/var/lib/dkms/amdgpu/19.30-855429/build/amd/amdgpu/amdgpu_device.c:2846:4: error: implicit declaration of function ‘drm_crtc_force_disable_all’; did you mean ‘drm_helper_force_disable_all’? [-Werror=implicit-function-declaration]
/var/lib/dkms/amdgpu/19.30-855429/build/amd/amdgpu/amdgpu_device.c:3110:3: error: implicit declaration of function ‘drm_helper_hpd_irq_event’; did you mean ‘drm_fb_helper_hotplug_event’? [-Werror=implicit-function-declaration]
/var/lib/dkms/amdgpu/19.30-855429/build/amd/amdgpu/amdgpu_device.c:3112:3: error: implicit declaration of function ‘drm_kms_helper_hotplug_event’; did you mean ‘drm_fb_helper_hotplug_event’? [-Werror=implicit-function-declaration]
/var/lib/dkms/amdgpu/19.30-855429/build/amd/amdgpu/amdgpu_fb.c:270:2: error: implicit declaration of function ‘drm_fb_helper_fill_fix’; did you mean ‘drm_fb_helper_fill_info’? [-Werror=implicit-function-declaration]
/var/lib/dkms/amdgpu/19.30-855429/build/amd/amdgpu/amdgpu_fb.c:281:2: error: implicit declaration of function ‘drm_fb_helper_fill_var’; did you mean ‘drm_fb_helper_fill_info’? [-Werror=implicit-function-declaration]
cc1: some warnings being treated as errors
cc1: some warnings being treated as errors
root@debian:/var/lib/dkms/amdgpu/19.30-855429/build#  


root@debian:/var/lib/dkms/amdgpu/19.30-855429/build# dpkg -l | grep linux-head
ii  linux-headers-5.2.0-2-amd64                                 5.2.9-2                               amd64        Header files for Linux 5.2.0-2-amd64
ii  linux-headers-5.2.0-2-common                                5.2.9-2                               all          Common header files for Linux 5.2.0-2
ii  linux-headers-amd64                                         5.2+106                               amd64        Header files for Linux amd64 configuration (meta-package)


gcc version 9.2.1 20190821 (Debian 9.2.1-4) 

Full make.log in the attachment.

Thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.